package com.ruoyi.project.pssr.service;

import java.util.List;
import com.ruoyi.project.pssr.domain.TPssrTurndown;

/**
 * PSSR驳回原因Service接口
 * 
 * @author ssy
 * @date 2024-11-25
 */
public interface ITPssrTurndownService 
{
    /**
     * 查询PSSR驳回原因
     * 
     * @param id PSSR驳回原因ID
     * @return PSSR驳回原因
     */
    public TPssrTurndown selectTPssrTurndownById(Long id);
    public String selectTPssrTurndownByItem(Long subId,Long itemId, String forShort);

    /**
     * 查询PSSR驳回原因列表
     * 
     * @param tPssrTurndown PSSR驳回原因
     * @return PSSR驳回原因集合
     */
    public List<TPssrTurndown> selectTPssrTurndownList(TPssrTurndown tPssrTurndown);

    /**
     * 新增PSSR驳回原因
     * 
     * @param tPssrTurndown PSSR驳回原因
     * @return 结果
     */
    public int insertTPssrTurndown(TPssrTurndown tPssrTurndown);

    /**
     * 修改PSSR驳回原因
     * 
     * @param tPssrTurndown PSSR驳回原因
     * @return 结果
     */
    public int updateTPssrTurndown(TPssrTurndown tPssrTurndown);

    /**
     * 批量删除PSSR驳回原因
     * 
     * @param ids 需要删除的PSSR驳回原因ID
     * @return 结果
     */
    public int deleteTPssrTurndownByIds(Long[] ids);

    /**
     * 删除PSSR驳回原因信息
     * 
     * @param id PSSR驳回原因ID
     * @return 结果
     */
    public int deleteTPssrTurndownById(Long id);
}
